#!/bin/bash
# Copyright (c) Daniel Sheffield 2024 - 2025

find_w0_leaf_directories (){
	# NOTE: list all leaf directories in current working dir tree
	#       excluding ts directories or links
	find . \
		\( -type l -o -type d \) -wholename './????????_??????_?????????' -prune \
		-o -type d "$@" \( \
			-links 2 \
			-o \( \
				-links 1 -exec bash -c '! [ "$(find "$1" -mindepth 1 -type d)" ]' find-bash {} \; \
			\) \
		\) \
		-print0 \
	&& :
}
