#!/bin/bash
# Copyright (c) Daniel Sheffield 2024 - 2025

NONESSENTIAL+=(
	fzf
)

fzf_rw0_inplace_preview () {
	# NOTE: to preview and select captured command directories
	header_len="$1"
	# shellcheck disable=SC2016
	fzf \
		--read0 --print0 \
		-m \
		--no-sort \
		-d / \
		--preview-window="~$header_len" \
		--preview='cat {}/info; head -n "$LINES" {}/dat' \
	&& :
}
